LinuxQMISDK: qaGobiApiDms.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Macros | Typedefs | Functions
qaGobiApiDms.h File Reference
Device Management Service (DMS)

Device Management Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | ERIFileparams
struct | custFeaturesInfo
struct | custFeaturesSetting
struct | dmsCurrentPRLInfo
struct | FactorySequenceNumber
struct | CurrImageInfo
struct | CurrentImgList
struct | FirmwareUpdatStat
struct | USBCompParams
struct | USBCompConfig
struct | CrashInfo
struct | CrashInfoParams
struct | _SLQSSwiGetHostDevInfoParams
struct | _SLQSSwiSetHostDevInfoParams
struct | _SLQSSwiGetOSInfoParams
struct | _SLQSSwiSetOSInfoParams

## Macros
#define | MAX_FSN_LENGTH 255
#define | MAX_BUILD_ID_LEN 255
#define | UNIQUE_ID_LEN 16
#define | IMGDETAILS_LEN 16

## Typedefs
typedef struct ERIFileparams | ERIFileparams
typedef struct custFeaturesInfo | custFeaturesInfo
typedef struct custFeaturesSetting | custFeaturesSetting
typedef struct dmsCurrentPRLInfo | dmsCurrentPRLInfo
typedef struct _SLQSSwiGetHostDevInfoParams | SLQSSwiGetHostDevInfoParams
typedef struct _SLQSSwiSetHostDevInfoParams | SLQSSwiSetHostDevInfoParams
typedef struct _SLQSSwiGetOSInfoParams | SLQSSwiGetOSInfoParams
typedef struct _SLQSSwiSetOSInfoParams | SLQSSwiSetOSInfoParams

## Functions
ULONG | GetManufacturer (BYTE stringSize, CHAR *pString)
ULONG | GetModelID (BYTE stringSize, CHAR *pString)
ULONG | GetFirmwareRevision (BYTE stringSize, CHAR *pString)
ULONG | GetFirmwareRevisions (BYTE amssSize, CHAR *pAMSSString, BYTE bootSize, CHAR *pBootString, BYTE priSize, CHAR *pPRIString)
ULONG | GetPRLVersion (WORD *pPRLVersion)
ULONG | GetIMSI (BYTE stringSize, CHAR *pString)
ULONG | GetSerialNumbers (BYTE esnSize, CHAR *pESNString, BYTE imeiSize, CHAR *pIMEIString, BYTE meidSize, CHAR *pMEIDString)
ULONG | GetHardwareRevision (BYTE stringSize, CHAR *pString)
ULONG | GetNetworkTime (ULONGLONG *pTimeStamp, ULONG *pTimeSource)
ULONG | UIMSetPINProtection (ULONG id, ULONG bEnable, CHAR *pValue, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
ULONG | UIMUnblockPIN (ULONG id, CHAR *pPUKValue, CHAR *pNewValue, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
ULONG | UIMVerifyPIN (ULONG id, CHAR *pValue, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
ULONG | UIMChangePIN (ULONG id, CHAR *pOldValue, CHAR *pNewValue, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
ULONG | GetVoiceNumber (BYTE voiceNumberSize, CHAR *pVoiceNumber, BYTE minSize, CHAR *pMIN)
ULONG | SetPower (ULONG powerMode)
ULONG | GetPower (ULONG *pPowerMode)
ULONG | UIMGetControlKeyStatus (ULONG id, ULONG *pStatus, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
ULONG | UIMGetICCID (BYTE stringSize, CHAR *pString)
ULONG | UIMGetPINStatus (ULONG id, ULONG *pStatus, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
ULONG | GetOfflineReason (ULONG *pReasonMask, ULONG *pbPlatform)
ULONG | UIMSetControlKeyProtection (ULONG id, ULONG status, CHAR *pValue, ULONG *pVerifyRetriesLeft)
ULONG | UIMUnblockControlKey (ULONG id, CHAR *pValue, ULONG *pUnblockRetriesLeft)
ULONG | GetDeviceCapabilities (ULONG *pMaxTXChannelRate, ULONG *pMaxRXChannelRate, ULONG *pDataServiceCapability, ULONG *pSimCapability, ULONG *pRadioIfacesSize, BYTE *pRadioIfaces)
ULONG | ResetToFactoryDefaults (CHAR *pSPC)
ULONG | ValidateSPC (CHAR *pSPC)
ULONG | ActivateAutomatic (CHAR *pActivationCode)
ULONG | ActivateManual (CHAR *pSPC, WORD sid, CHAR *pMDN, CHAR *pMIN, ULONG prlSize, BYTE *pPRL, CHAR *pMNHA, CHAR *pMNAAA)
ULONG | SLQSGetERIFile (ERIFileparams *pERIFileparams)
ULONG | GetActivationState (ULONG *pActivationState)
ULONG | SLQSUIMGetState (ULONG *pUIMState)
ULONG | SLQSGetBandCapability (ULONGLONG *pBandCapability)
ULONG | SLQSGetCustFeatures (custFeaturesInfo *pCustFeaturesInfo)
ULONG | SLQSSetCustFeatures (custFeaturesSetting *pCustFeaturesSetting)
ULONG | SLQSGetCurrentPRLInfo (dmsCurrentPRLInfo *pCurrentPRLInfo)
ULONG | SLQSSwiGetFSN (FactorySequenceNumber *pFSNumber)
ULONG | SLQSSwiGetFirmwareCurr (CurrentImgList *pCurrentImgList)
ULONG | SLQSSwiGetFwUpdateStatus (FirmwareUpdatStat *pFirmwareUpdatStat)
ULONG | SLQSSwiGetUSBComp (USBCompParams *pUSBCompParams)
ULONG | SLQSSwiSetUSBComp (USBCompConfig *pUSBCompConfig)
ULONG | SLQSSwiGetCrashInfo (BYTE *pClear, CrashInfoParams *pCrashInfoParams)
ULONG | SLQSSwiGetCrashAction (BYTE *pDevCrashState)
ULONG | SLQSSwiSetCrashAction (BYTE crashActionParams)
ULONG | SLQSSwiGetHostDevInfo (SLQSSwiGetHostDevInfoParams *pGetHostDevInfoParams)
ULONG | SLQSSwiSetHostDevInfo (SLQSSwiSetHostDevInfoParams *pSetHostDevInfoParams)
ULONG | SLQSSwiGetOSInfo (SLQSSwiGetOSInfoParams *pParams)
ULONG | SLQSSwiSetOSInfo (SLQSSwiSetOSInfoParams *pParams)

## Detailed Description

Device Management Service API function prototypes.

Copyright: © 2011-2014 Sierra Wireless, Inc. all rights reserved

## Macro Definition Documentation

#define IMGDETAILS_LEN 16

#define MAX_BUILD_ID_LEN 255

#define MAX_FSN_LENGTH 255

#define UNIQUE_ID_LEN 16

## Typedef Documentation

typedef struct custFeaturesInfo custFeaturesInfo

This structure contains current settings of custom features

Parameters

  GpsEnable | describes if GPS is enabled or disabled values: 0x00 - GPS is disabled 0x01 - GPS is enabled function SLQSGetCustFeatures() returns a default value FFFFFFFF if no value is returned by the modem
  pDisableIMSI | optional 1 byte parameter describes if IMSI display is enabled or disabled values: 0x00 - Allow display of IMSI 0x01 - Do not display IMSI function SLQSGetCustFeatures() returns a default value FF if no value is returned by the modem
  pIPFamSupport | optional 2 byte BitMask bitmask representing the IP families supported values: 0x01 - IPv4 0x02 - IPv6 0x04 - IPv4v6 function SLQSGetCustFeatures() returns a default value FFFF if no value is returned by the modem
  pRMAutoConnect | optional 1 byte parameter QMI Mode RM Net AutoConnect Support values: 0x00 - Not Supported 0x01 - Supported function SLQSGetCustFeatures() returns a default value FF if no value is returned by the modem
  pGPSSel | optional 1 byte parameter GPS Antenna Select values: 0x00 - Dedicated GPS Port 0x01 - GPS Rx over AUX Port 0x02 - GPS Rx over dedicated GPS port with no bias voltage applied function SLQSGetCustFeatures() returns a default value FF if no value is returned by the modem
  pSMSSupport | optional 1 byte parameter SMS support values: 0x00 - Not supported 0x01 - supported Used to determine whether or not to hide SMS from user function SLQSGetCustFeatures() returns a default value FF if no value is returned by the modem. In this case assume, SMS is supported.
  pIsVoiceEnabled | optional 1 byte parameter Voice support values: 0x00 - Enable voice on both AT and QMI interface (default) 0x01 - Reserved 0x02 - Disable voice on both AT and QMI interface
  pDHCPRelayEnabled | optional 1 byte parameter DHCP Relay support values: 0x00 - Disable DHCP relay 0x01 - Enable DHCP relay
  pGPSLPM | optional 1 byte parameter GPSLPM support values: 0x00 - Enable GPS in Low Power Mode 0x01 - Disable GPS in Low Power Mode

typedef struct custFeaturesSetting custFeaturesSetting

This structure contains settings to be used for custom features

Parameters

  pGPSSel | optional 1 byte parameter GPS Antenna Select values: 0x00 - Dedicated GPS Port 0x01 - GPS Rx over AUX Port 0x02 - GPS Rx over dedicated GPS port with no bias voltage applied
  pGPSEnable | optional 4 byte parameter GPS Enable/Disable values: The value of 7 least significant bits: 0 - Disabled 1 - MT & MO enabled 2 - MO enabled 3 - MT enabled 4 - MT & MO enabled if GPS_DISABLE pin is not asserted 5 - MO GPS enabled if GPS_DISABLE pin is not asserted 6 - MT GPS enabled if GPS_DISABLE pin is not asserted

Note
  Only MC7750 3.5.x firmware supports above 0x04, 0x05 and 0x06 settings. To disable GLONASS, set the most significant bit - 0x80. This setting is only applicable if GPS is not Disabled.

Parameters

  pIsVoiceEnabled | optional 1 byte parameter voice enabled/disabled values: 0 - Enable voice on both AT and QMI interface (default) 1 - Reserved 2 - Disable voice on both AT and QMI interface
  pDHCPRelayEnabled | optional 1 byte parameter DHCPRELAYENABLE support values: 0 - Disable DHCP relay 1 - Enable DHCP relay
  pGPSLPM | optional 1 byte parameter GPSLPM support values: 0 - Enable GPS in Low Power Mode 1 - Disable GPS in Low Power Mode

typedef struct dmsCurrentPRLInfo dmsCurrentPRLInfo

This structure contains GetCurrentPRLInfo response parameter

Parameters

  pPRLVersion[OUT] | - Optional PRL version of device.
  pPRLPreference | [OUT]- OptionaL PRL Preference 0 - Unset 1 - Set

typedef struct ERIFileparams ERIFileparams

This structure contains Extended Roaming Indicator(ERI) file parameters

Parameters

  pFileSize[IN/OUT] | Upon input, the maximum number of bytes that file contents array can contain. Upon successful output, actual number of bytes written to file contents array
  pFile[OUT] | ERI data read from persistent storage( Max size is 1024 )

typedef struct _SLQSSwiGetHostDevInfoParams SLQSSwiGetHostDevInfoParams

typedef struct _SLQSSwiGetOSInfoParams SLQSSwiGetOSInfoParams

typedef struct _SLQSSwiSetHostDevInfoParams SLQSSwiSetHostDevInfoParams

typedef struct _SLQSSwiSetOSInfoParams SLQSSwiSetOSInfoParams

## Function Documentation

ULONG ActivateAutomatic | ( | CHAR * | pActivationCode | ) |

Requests the device to perform automatic service activation

Parameters

  pActivationCode[IN] | NULL-terminated string representing activation code (maximum string length of 12); specific carrier requirements may dictate actual activation code that is applicable, e.g., "*22899"

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 Minutes

ULONG ActivateManual | ( | CHAR * | pSPC,
|  | WORD | sid,
|  | CHAR * | pMDN,
|  | CHAR * | pMIN,
|  | ULONG | prlSize,
|  | BYTE * | pPRL,
|  | CHAR * | pMNHA,
|  | CHAR * | pMNAAA
| ) |  |

Requests the device perform a manual activation using the provided parameters.

Parameters

  pSPC[IN] | NULL-terminated string representing the six-digit service programming code
  sid[IN] | System identification number
  pMDN[IN] | Pointer to a NULL-terminated character string that contains mobile directory number
  pMIN[IN] | Pointer to a NULL-terminated character string that contains the mobile identification number
  prlSize[IN] | (Optional) Size of PRL file array
  pPRL[IN] | (Optional) PRL file contents
  pMNHA[IN] | (Optional) Pointer to a NULL-terminated character string that contains MN-HA
  pMNAAA[IN] | (Optional) Pointer to a NULL-terminated character string that contains the MN-AAA

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Device Supported: None
  Timeout: When no PRL is specified - Five minutes
  When a PRL is specified - Five minutes multiplied by the number of PRL block writes required (maximum block size is currently 256 bytes) Additional Timeout : 2 Seconds for Device Reset

ULONG GetActivationState | ( | ULONG * | pActivationState | ) |

Returns the device activation state.

Parameters

  pActivationState[OUT] | Service Activation Code 0 - Service not activated 1 - Service activated 2 - Activation connecting 3 - Activation connected 4 - OTASP security authenticated 5 - OTASP NAM downloaded 6 - OTASP MDN downloaded 7 - OTASP IMSI downloaded 8 - OTASP PRL downloaded 9 - OTASP SPC downloaded 10 - OTASP settings committed

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 Seconds

ULONG GetDeviceCapabilities | ( | ULONG * | pMaxTXChannelRate,
|  | ULONG * | pMaxRXChannelRate,
|  | ULONG * | pDataServiceCapability,
|  | ULONG * | pSimCapability,
|  | ULONG * | pRadioIfacesSize,
|  | BYTE * | pRadioIfaces
| ) |  |

Gets the device capabilities

Parameters

  pMaxTXChannelRate[OUT] | Maximum transmission rate (in bps) supported by the device In multi-technology devices, this value will be the greatest rate among all supported technologies
  pMaxRXChannelRate[OUT] | Maximum reception rate (in bps) supported by the device In multi-technology devices, this value will be the greatest rate among all supported technologies
  pDataServiceCapability[OUT] | CS/PS data service capability 0 - No data services supported 1 - Only Circuit Switched (CS) services supported 2 - Only Packet Switched (PS) services supported 3 - Simultaneous CS and PS 4 - Non-simultaneous CS and PS
  pSimCapability[OUT] | Device SIM capability 0 - SIM not supported 1 - SIM supported
  pRadioIfacesSize[IN/OUT] | Upon input, the maximum number of elements that the radio interface array can contain Upon successful output, actual number of elements in the radio interface array
  pRadioIfaces[OUT] | Radio interface array. This is a structure of array containing the elements below. ULONG radioInterface See qaGobiApiTableRadioInterfaces.h for Radio Interfaces

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetFirmwareRevision | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

Returns the device firmware revision

Parameters

  stringSize | The maximum number of characters (including NULL terminator) that the string array can contain
  pString[OUT] | NULL terminated string

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetFirmwareRevisions | ( | BYTE | amssSize,
|  | CHAR * | pAMSSString,
|  | BYTE | bootSize,
|  | CHAR * | pBootString,
|  | BYTE | priSize,
|  | CHAR * | pPRIString
| ) |  |

Returns the device firmmware revisions (AMSS, boot, and PRI)

Parameters

  amssSize | Maximum number of characters (including NULL terminator) that the AMSS string array can contain
  pAMSSString[OUT] | NULL-terminated AMSS revision string
  bootSize | Maximum number of characters (including NULL terminator) that the boot string array can contain
  pBootString[OUT] | NULL-terminated boot code revision string
  priSize | Maximum number of characters (including NULL terminator) that the PRI string array can contain
  pPRIString[OUT] | NULL-terminated PRI revision string

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetHardwareRevision | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

Returns the hardware revision of the device

Parameters

  stringSize | The maximum number of characters (including NULL terminator) that the string array can contain
  pString[OUT] | NULL terminated string

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetIMSI | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

Returns the device IMSI

Parameters

  stringSize | The maximum number of characters (including NULL terminator) that the string array can contain
  pString[OUT] | NULL terminated string

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetManufacturer | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

Returns the device manufacturer name

Parameters

  stringSize | The maximum number of characters (including NULL terminator) that the string array can contain.
  pString[OUT] | NULL terminated string

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetModelID | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

Returns the device model ID

Parameters

  stringSize | The maximum number of characters (including NULL terminator) that the string array can contain
  pString[OUT] | NULL terminated string

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetNetworkTime | ( | ULONGLONG * | pTimeStamp,
|  | ULONG * | pTimeSource
| ) |  |

Returns the current time of the device based on the value supported by the network.

Parameters

  pTimeStamp[OUT] | Count of 1.25 ms that have elapsed from the start of GPS time (Jan 6, 1980)
  pTimeSource[OUT] | Source of timestamp 0 - 32 kHz device clock 1 - CDMA network 2 - cdma2000 1xEV-DO network

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds
  The source of the timestamp provided specifies how the timestamp was determined. The first network time that is available will be returned. If no network time is available, the timestamp is taken from the 32 kHz slow-clock of the device.

ULONG GetOfflineReason | ( | ULONG * | pReasonMask,
|  | ULONG * | pbPlatform
| ) |  |

Returns reason why the operating mode of the device is currently offline.

Parameters

  pReasonMask[OUT] | Bitmask of offline reasons 0x00000001 - Host image configuration issue 0x00000002 - PRI image configuration issue 0x00000004 - PRI version incompatible 0x00000008 - PRI copy issue All others - Reserved
  pbPlatform[OUT] | Is the device offline due to a platform restriction? 0 - No 1 - Yes

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Seconds

ULONG GetPower | ( | ULONG * | pPowerMode | ) |

Returns the operating mode of the device.

Parameters

  pPowerMode[OUT] | Selected operating mode See qaGobiApiTablePowerModes.h for power modes

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Seconds

ULONG GetPRLVersion | ( | WORD * | pPRLVersion | ) |

Returns the version of the active Preferred Roaming List (PRL) in use by the device.

Parameters

  pPRLVersion[OUT] | PRL version number

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetSerialNumbers | ( | BYTE | esnSize,
|  | CHAR * | pESNString,
|  | BYTE | imeiSize,
|  | CHAR * | pIMEIString,
|  | BYTE | meidSize,
|  | CHAR * | pMEIDString
| ) |  |

Returns all the serial numbers assigned to the device. These serial numbers include the ESN (Electronic serial number of the device), the IMEI (International Mobile Equipment Identity) and MEID (Mobile Equipment Identifier).

Parameters

  esnSize | The maximum number of characters (including NULL terminator) that the ESN string array can contain
  pESNString[OUT] | NULL-terminated ESN string. Empty string is returned when ESN is not supported/programmed
  imeiSize | The maximum number of characters (including NULL terminator) that the IMEI string array can contain
  pIMEIString[OUT] | NULL terminated IMEI string. Empty string is returned when IMEI is not supported/programmed
  meidSize | The maximum number of characters (including NULL terminator) that the MEID string array can contain
  pMEIDString[OUT] | NULL-terminated MEID string. Empty string is returned when MEID is not supported/programmed

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetVoiceNumber | ( | BYTE | voiceNumberSize,
|  | CHAR * | pVoiceNumber,
|  | BYTE | minSize,
|  | CHAR * | pMIN
| ) |  |

Returns the voice number in use by the device

Parameters

  voiceNumberSize | Maximum number of characters (including NULL terminator) that the voice number array can contain.
  pVoiceNumber[OUT] | Voice number string: MDN or MS ISDN
  minSize | Maximum number of characters (including NULL terminator) that the MIN array can contain.
  pMIN | MIN string: Empty string returned when MIN is not supported/ programmed.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG ResetToFactoryDefaults | ( | CHAR * | pSPC | ) |

Resets to default factory settings of the device

Parameters

  pSPC[IN] | NULL-terminated string representing a six-digit service programming code

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 minutes

ULONG SetPower | ( | ULONG | powerMode | ) |

Sets the operating mode of the device.

Parameters

  powerMode | Selected operating mode See qaGobiApiTablePowerModes.h for power modes

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS/CDMA
  Device Supported: MC83x5, MC7700/50
  Timeout: 2 seconds

ULONG SLQSGetBandCapability | ( | ULONGLONG * | pBandCapability | ) |

Returns the band capability of the device.

Parameters

  pBandCapability[OUT] | Bitmask of bands supported by the device Bit 0 - Band class 0, A-system Bit 1 - Band class 0, B-system Bit 2 - Band class 1, all blocks Bit 3 - Band class 2 Bit 4 - Band class 3, A-system Bit 5 - Band class 4, all blocks Bit 6 - Band class 5, all blocks Bit 7 - GSM DCS band (1800) Bit 8 - GSM Extended GSM (E-GSM) band (900) Bit 9 - GSM Primary GSM (P-GSM) band (900) Bit 10 - Band class 6 Bit 11 - Band class 7 Bit 12 - Band class 8 Bit 13 - Band class 9 Bit 14 - Band class 10 Bit 15 - Band class 11 Bit 16 - GSM 450 band Bit 17 - GSM 480 band Bit 18 - GSM 750 band Bit 19 - GSM 850 band Bit 20 - GSM railways GSM band (900) Bit 21 - GSM PCS band (1900) Bit 22 - WCDMA (Europe, Japan, and China) 2100 band Bit 23 - WCDMA US PCS 1900 band Bit 24 - WCDMA (Europe and China) DCS 1800 band Bit 25 - WCDMA US 1700 band Bit 26 - WCDMA US 850 band Bit 27 - WCDMA Japan 800 band Bit 28 - Band class 12 Bit 29 - Band class 14 Bit 30 - Reserved Bit 31 - Band class 15 Bits 32 through 47 - Reserved Bit 48 - WCDMA Europe 2600 band Bit 49 - WCDMA Europe and Japan 900 band Bit 50 - WCDMA Japan 1700 band Bits 51 through 55 - Reserved Bit 56 - Band class 16 Bit 57 - Band class 17 Bit 58 - Band class 18 Bit 59 - Band class 19

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Seconds

ULONG SLQSGetCurrentPRLInfo | ( | dmsCurrentPRLInfo * | pCurrentPRLInfo | ) |

This API get the currently active PRL information of the device.

Parameters

  pCurrentPRLInfo | Pointer to structure dmsCurrentPRLInfo See dmsCurrentPRLInfo for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 Secs

ULONG SLQSGetCustFeatures | ( | custFeaturesInfo * | pCustFeaturesInfo | ) |

This API fetches the current settings of custom features

Parameters

  pCustFeaturesInfo | Structure containing settings of custom features. See custFeaturesInfo for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Secs

ULONG SLQSGetERIFile | ( | ERIFileparams * | pERIFileparams | ) |

Returns the Extended Roaming Indicator (ERI) file that is stored in EFS on the device at a predetermined location. See the carrier requirements for specific details.

Parameters

  pERIFileparams | Pointer to structure ERIFileparams See ERIFileparams for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 5 Seconds

ULONG SLQSSetCustFeatures | ( | custFeaturesSetting * | pCustFeaturesSetting | ) |

This API changes the settings of custom features, A reset is required for any settings that are changed to take effect.

Parameters

  pCustFeaturesSetting | Structure containing settings of custom features. See custFeaturesSetting for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Secs

ULONG SLQSSwiGetCrashAction | ( | BYTE * | pDevCrashState | ) |

This API queries the Crash State from the device.

Parameters

  pDevCrashState | Device Crash State Values: 0 - USB Memory Download 1 - Reset 2 - No action

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Timeout: 5 Secs

ULONG SLQSSwiGetCrashInfo | ( | BYTE * | pClear,
|  | CrashInfoParams * | pCrashInfoParams
| ) |  |

This API queries the Crash Information from the device.

Parameters

  pClear[IN] | request parameter Clear(Optional parameter) Values: 0 - Do not clear crash data after response 1 - Clear crash data after response
  pCrashInfoParams[Out] | Pointer to structure CrashInfoParams See CrashInfoParams for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Timeout: 5 Secs

ULONG SLQSSwiGetFirmwareCurr | ( | CurrentImgList * | pCurrentImgList | ) |

This API gets the currently active images on the device.

Parameters

  pCurrentImgList | Pointer to structure CurrentImgList See CurrentImgList for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC73xx
  Timeout: 5 Secs

ULONG SLQSSwiGetFSN | ( | FactorySequenceNumber * | pFSNumber | ) |

This API get the Factory Sequence Number of the device.

Parameters

  pFSNumber | Pointer to structure FactorySequenceNumber See FactorySequenceNumber for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 5 Secs

ULONG SLQSSwiGetFwUpdateStatus | ( | FirmwareUpdatStat * | pFirmwareUpdatStat | ) |

This API will be used to query last firmware update status. The firmware status is stored in RAM and can be retained over warm resets but not power off resets.

Parameters

  pFirmwareUpdatStat | Pointer to structure FirmwareUpdatStat See FirmwareUpdatStat for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC73xx
  Timeout: 5 Secs

ULONG SLQSSwiGetHostDevInfo | ( | SLQSSwiGetHostDevInfoParams * | pGetHostDevInfoParams | ) |

This API Get Host Infomation from the device.

Parameters

  SLQSSwiGetHostDevInfoParams | Crash Action Values: 0 - USB Memory Download 1 - Reset 2 - No action

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Timeout: 5 Secs

ULONG SLQSSwiGetOSInfo | ( | SLQSSwiGetOSInfoParams * | pParams | ) |

This API Get OS Infomation to the device.

Parameters

  SLQSSwiSetHostDevInfoParams | Crash Action Values: 0 - USB Memory Download 1 - Reset 2 - No action

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Timeout: 5 Secs

ULONG SLQSSwiGetUSBComp | ( | USBCompParams * | pUSBCompParams | ) |

This API queries the modem's USB interface configuration and supported configuration parameters.

Parameters

  pUSBCompParams | Pointer to structure USBCompParams See USBCompParams for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Timeout: 5 Secs

ULONG SLQSSwiSetCrashAction | ( | BYTE | crashActionParams | ) |

This API set the Crash Action to the device.

Parameters

  crashActionParams | Crash Action Values: 0 - USB Memory Download 1 - Reset 2 - No action

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Timeout: 5 Secs

ULONG SLQSSwiSetHostDevInfo | ( | SLQSSwiSetHostDevInfoParams * | pSetHostDevInfoParams | ) |

This API Set Host Infomation to the device.

Parameters

  SLQSSwiSetHostDevInfoParams | Crash Action Values: 0 - USB Memory Download 1 - Reset 2 - No action

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Timeout: 5 Secs

ULONG SLQSSwiSetOSInfo | ( | SLQSSwiSetOSInfoParams * | pParams | ) |

This API Set OS Infomation to the device.

Parameters

  SLQSSwiSetHostDevInfoParams | Crash Action Values: 0 - USB Memory Download 1 - Reset 2 - No action

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Timeout: 5 Secs

ULONG SLQSSwiSetUSBComp | ( | USBCompConfig * | pUSBCompConfig | ) |

This API is used to change the modem's USB interface configuration thus allowing a device to have multiple USB compositions. Devices will, by default, be configured to support a minimal set of interfaces to reduce end user modem installation time. Developers and some customers, however, require access to a custom set of interfaces. A reset is required for any change in the USB composition to take effect.

Parameters

  pUSBCompConfig | Pointer to structure USBCompConfig See USBCompConfig for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Timeout: 5 Secs

ULONG SLQSUIMGetState | ( | ULONG * | pUIMState | ) |

Returns the UIM state.

Parameters

  pUIMState[OUT] | UIM state: 0x00 - UIM initialization completed 0x01 - UIM locked or failed 0x02 - UIM not present 0x03 - 0xFE - Reserved 0xFF - UIM state currently unavailable

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Seconds

ULONG UIMChangePIN | ( | ULONG | id,
|  | CHAR * | pOldValue,
|  | CHAR * | pNewValue,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

Changes the PIN value for a given PIN

Parameters

  id | PIN ID 1 ( PIN1 / CHV1 ) 2 ( PIN2 / CHV2 )
  pOldValue[IN] | Old PIN value of PIN to change
  pNewValue[IN] | New PIN value of PIN to change
  pVerifyRetriesLeft[OUT] | Upon operational failure, this will indicate number of retries left, after which PIN will be blocked. 0xFFFFFFFF - Unknown
  pUnblockRetriesLeft[OUT] | Upon operational failure, this will indicate number of unblock retries left, after which the PIN will be permanently blocked; i.e. UIM is unusable. 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG UIMGetControlKeyStatus | ( | ULONG | id,
|  | ULONG * | pStatus,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

Returns the status of the specified UIM facility control key.

Parameters

  id | Facility ID 0 - Network Personalization (PN) 1 - Network Subset Personalization (PU) 2 - Service Provider Personalization (PP) 3 - Corporate Personalization (PC) 4 - UIM Personalization (PF)
  pStatus[OUT] | Control key status 0 - Deactivated 1 - Activated 2 - Blocked
  pVerifyRetriesLeft[OUT] | The number of retries left, after which the control key will be blocked 0xFFFFFFFF - Unknown
  pUnblockRetriesLeft[OUT] | The number of unblock retries left, after which the control key will be permanently blocked 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG UIMGetICCID | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

Returns the UIM ICCID.

Parameters

  stringSize | The maximum number of characters (including NULL terminator) that the string array can contain.
  pString[OUT] | NULL terminated string

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG UIMGetPINStatus | ( | ULONG | id,
|  | ULONG * | pStatus,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

Gets the status of the SIM PINs

Parameters

  id | PIN ID 1 ( PIN1 / CHV1 ) 2 ( PIN2 / CHV2 )
  pStatus[OUT] | PIN status(0xFFFFFFFF - Unknown) 0 - PIN not initialized 1 - PIN enabled, not verified 2 - PIN enabled, verified 3 - PIN disabled 4 - PIN blocked 5 - PIN permanently blocked
  pVerifyRetriesLeft[OUT] | Upon operational failure, this will indicate number of retries left, after which PIN will be blocked. 0xFFFFFFFF - Unknown
  pUnblockRetriesLeft[OUT] | Upon operational failure, this will indicate number of unblock retries left, after which the PIN will be permanently blocked; i.e., UIM is unusable. 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG UIMSetControlKeyProtection | ( | ULONG | id,
|  | ULONG | status,
|  | CHAR * | pValue,
|  | ULONG * | pVerifyRetriesLeft
| ) |  |

Changes the specified UIM facility control key

Parameters

  id | Facility ID 0 - Network Personalization (PN) 1 - Network Subset Personalization (PU) 2 - Service Provider Personalization (PP) 3 - Corporate Personalization (PC) 4 - UIM Personalization (PF)
  status | Control key status 0 - Deactivated
  pValue[IN] | Control key de-personalization string (maximum length of 8 characters)
  pVerifyRetriesLeft[OUT] | Upon operational failure, this will indicate number of retries left, after which the control key will be blocked 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG UIMSetPINProtection | ( | ULONG | id,
|  | ULONG | bEnable,
|  | CHAR * | pValue,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

Enables or disables protection of SIM contents for a given PIN

Parameters

  id | PIN ID 1 ( PIN1 / CHV1 ) 2 ( PIN2 / CHV2 )
  bEnable | Enable/disable PIN protection, 0 = Disable
  pValue[IN] | PIN value of the PIN to be enabled/disabled
  pVerifyRetriesLeft[OUT] | Upon operational failure, this will indicate number of retries left, after which PIN will be blocked. 0xFFFFFFFF - Unknown
  pUnblockRetriesLeft[OUT] | Upon operational failure, this will indicate number of unblock retries left, after which the PIN will be permanently blocked i.e. UIM is unusable. 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG UIMUnblockControlKey | ( | ULONG | id,
|  | CHAR * | pValue,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

Unblocks the specified UIM facility control key

Parameters

  id | Facility ID 0 - Network Personalization (PN) 1 - Network Subset Personalization (PU) 2 - Service Provider Personalization (PP) 3 - Corporate Personalization (PC) 4 - UIM Personalization (PF)
  pValue[IN] | Control key de-personalization string (maximum length of 8 characters)
  pUnblockRetriesLeft[OUT] | Upon operational failure, this will indicate number of unblock retries left, after which the control key will be blocked 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG UIMUnblockPIN | ( | ULONG | id,
|  | CHAR * | pPUKValue,
|  | CHAR * | pNewValue,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

Unblocks a blocked SIM

Parameters

  id | PIN ID 1 ( PIN1 / CHV1 ) 2 ( PIN2 / CHV2 )
  pPUKValue[IN] | PUK value of PIN to unblock
  pNewValue[IN] | New PIN value of PIN to unblock
  pVerifyRetriesLeft[OUT] | Upon operational failure, this will indicate number of retries left, after which the PIN will be blocked. 0xFFFFFFFF - Unknown
  pUnblockRetriesLeft[OUT] | Upon operational failure, this will indicate number of unblock retries left, after which the PIN will be permanently blocked; i.e. UIM is unusable 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG UIMVerifyPIN | ( | ULONG | id,
|  | CHAR * | pValue,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

Verifies a SIM PIN.

Parameters

  id | PIN ID 1 ( PIN1 / CHV1 ) 2 ( PIN2 / CHV2 )
  pValue[IN] | Value of PIN to verify
  pVerifyRetriesLeft[OUT] | Upon operational failure, this will indicate number of retries left, after which the PIN will be blocked. 0xFFFFFFFF - Unknown
  pUnblockRetriesLeft[OUT] | Upon operational failure, this will indicate number of unblock retries left, after which the PIN will be permanently blocked; i.e. UIM is unusable 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG ValidateSPC | ( | CHAR * | pSPC | ) |

This function Validates Service Programming code of the device

Parameters

  pSPC[IN] | NULL-terminated string representing a six-digit service programming code

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Device Supported: MC83x5, MC7750
  Timeout: 2 seconds